
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*       parsie.h:  header file for the Pars/ library                  */
/*                  -  included by Pars/ functions and by main         */
/*                     programs calling Pars/ functions                */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef  PARSIE_H
#define  PARSIE_H
#include "incs.h"
#include "stuff.h"

/******     function prototypes for main Pars/ functions           ******/
/**
 * @addtogroup parse
 * @{
 */

int  check_pars (int, int);
int  input_eigen(int);
int  proc_auto  (void);
int  proc_kin   (void);
int  proc_drop  (void);
int  proc_err   (void);
int  proc_pars  (int, char **, char *);
int  proc_poly  (void);
int  proc_quant (void);
int  proc_shnl  (void);
int  proc_seeds (void);
int  proc_fils  (void);
int  proc_free  (void);

int  tok2int    (char *, int *);
int  tok2real   (char *, double *);

/** @} */

#endif  /*PARSIE_H*/

