/******************************************************************************/
/*                                                                            */
/* Traits library.                                             EAT March 02   */
/* routines  set_markdat : moved to Traits library March 02                   */
/* plus new routines:                                                         */
/* The following functions were removed, as no longer compatible              */
/* with parameter statements and output from Pars/ functions:                 */
/*   reset_traitmap  -- resets Loc0 and Rec0   for lm_auto                    */
/*   unset_recval    -- recovers original input recombs and proportions       */
/*   reset_recval    -- resets RecVal and IntVal for lm_lods and other progs  */
/*                                                             MAJ  Feb 04    */
/******************************************************************************/

#include "traits.h"

/**
 * copies marker data to y-matrix
 */
void  set_markdat (int ***yy, int nl, int nc)
{
   int   i, j, c, cfound;

   for (i = 0; i < NObs; ++i)
   {
      if ((ObsIx[i] = get_posit (ObsNam[i])) == INVALID_INDEX)
         give_warn (ERA_mdp, ObsNam[i]);
      else
         for (j = 0; j < nl; ++j)
         {
            yy[0][j + 1][ObsIx[i]] = ObsMark[i][j][0];
            yy[1][j + 1][ObsIx[i]] = ObsMark[i][j][1];
         }
   }
   for (c = 0; c < nc; ++c)
   {
      cfound = 0;
      for (i = 0; i < NObs; ++i)
         if (ObsIx[i] != INVALID_INDEX
             && (nghd[ObsIx[i]].component) == (c + 1))
            cfound = 1;
      if (!cfound)
         give_warn (ERA_nmd, c + 1);
   }
   return;
}
