#include "stuff.h"

void  free_auto (void)
{
   int   c, s, i, j;

   /* free the data structures defined in globs.h by proc_auto for 
      the autozyg programs */

   if (NScSet)                          /* tests for proband gamete sets */
   {
      for (c = 0; c < NScCmp; ++c)      /* loops thru components */
      {
         if (NPrGam[c])                 /* tests for sets for this compnt */
         {
            for (s = 0; s < NScSet[c]; ++s)  /* loops thru sets */
            {
               if (ProbIx[c][s])        /* frees list of proband indices */
                  free (ProbIx[c][s]);
               if (ProbGam[c][s])       /* frees list of gametes */
                  free (ProbGam[c][s]);
               if (ProbNam[c][s])
               {
                  for (i = 0; i < NPrGam[c][s]; ++i)  /* loops thru gametes */
                     free (ProbNam[c][s][i]);  /* frees each name  */
                  free (ProbNam[c][s]);
               }
            }
            free (ProbIx[c]);
            ProbIx[c] = NULL;
            free (ProbGam[c]);
            ProbGam[c] = NULL;
            free (ProbNam[c]);
            ProbNam[c] = NULL;
            free (NPrGam[c]);
            NPrGam[c] = NULL;
         }
      }
      free (ProbIx);
      ProbIx = NULL;
      free (ProbGam);
      ProbGam = NULL;
      free (ProbNam);
      ProbNam = NULL;
      free (NPrGam);
      NPrGam = NULL;
      free (NScSet);
      NScSet = NULL;
   }
   if (NObs && ObsMark)                 /* tests for observed individuals */
   {
      for (i = 0; i < NObs; ++i)
      {
         for (j = 0; j < NMarks; ++j)
            free (ObsMark[i][j]);
         free (ObsNam[i]);
         free (ObsMark[i]);
      }

      free (ObsNam);
      ObsNam = NULL;
      free (ObsIx);
      ObsIx = NULL;
      free (ObsMark);
      ObsMark = NULL;
   }
   return;
}
