#include "stuff.h"

/**
 * prints, for each component, the list of affected individuals.
 */
void  print_affind (void)
{
   int   c, i, n, nn;
   int   nc = 0;

   for (c = 0; c < NAffCmp; ++c)
   {
      for (i = 0; i < NAffInd[c]; ++i)
      {
         n = strlen (AffNam[c][i]);     /* gets no. chars in names for        */
         nc = n > nc ? n : nc;          /* printing                           */
      }
   }
   nn = 76 / (nc + 1);

   for (c = 0; c < NAffCmp; ++c)
   {
      for (i = 0; i < NAffInd[c]; ++i)  /* prints list of affected individs   */
      {
         if (!i)
         {
            fprintf (stdout, " Component %d:\n\n", c + 1);
            fprintf (stdout, " %d affected individuals:", NAffInd[c]);
         }
         if (!(i % nn))
            fprintf (stdout, "\n   ");
         fprintf (stdout, " %*s", nc, AffNam[c][i]);
         if (i == NAffInd[c] - 1)
            fprintf (stdout, "\n\n");
      }
   }
   fflush (stdout);

   return;
}
